MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028285Open CASCADE[OCCT] OCCT:Configurationpublic2016-12-27 09:532017-09-29 16:31
Reporterisk 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028285: Configuration - add missing macro Standard_EXPORT to OpenGl_StateInterface subclasses
DescriptionMethods of heritable classes from OpenGl_StateInterface haven't Stanadrd_EXPORT macro that lead to linker errors: unresolved external symbol.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0062159)
git (administrator)
2016-12-27 11:19

Branch CR28285 has been created by isk.

SHA-1: 842ff62731ecebb8ba7fdfdeef736029932e1b78


Detailed log of new commits:

Author: isk
Date: Tue Dec 27 11:19:21 2016 +0300

    0028285: Coding - add missing macro Standard_EXPORT to heritable classes from OpenGl_StateInterface
(0062160)
isk (developer)
2016-12-27 11:20

Dear Kirill,
please review the branch CR28285.
(0062164)
git (administrator)
2016-12-27 11:36

Branch CR28285 has been updated forcibly by kgv.

SHA-1: ef9a584fbbb8235930a03d42abd4016681cdf2ca
(0062165)
kgv (developer)
2016-12-27 11:37

Please check compilation, regression testing is not needed.
(0062216)
apv (tester)
2016-12-28 09:50

Dear BugMaster,

Branch CR28285 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: ef9a584fbbb8235930a03d42abd4016681cdf2ca

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1134
(0063576)
git (administrator)
2017-02-08 11:32

Branch CR28285 has been deleted by kgv.

SHA-1: ef9a584fbbb8235930a03d42abd4016681cdf2ca

- Related Changesets
occt: master 96fffdc6
Timestamp: 2016-12-27 08:19:21
Author: isk
Committer: apn
Details ] Diff ]
0028285: Configuration - add missing macro Standard_EXPORT to OpenGl_StateInterface subclasses
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-27 09:53 isk New Issue
2016-12-27 09:53 isk Assigned To => kgv
2016-12-27 09:53 isk Assigned To kgv => isk
2016-12-27 10:08 isk Status new => assigned
2016-12-27 11:19 git Note Added: 0062159
2016-12-27 11:20 isk Note Added: 0062160
2016-12-27 11:20 isk Assigned To isk => kgv
2016-12-27 11:20 isk Status assigned => resolved
2016-12-27 11:20 isk Steps to Reproduce Updated View Revisions
2016-12-27 11:32 kgv Category OCCT:Coding => OCCT:Configuration
2016-12-27 11:32 kgv Summary Coding - add missing macro Standard_EXPORT to heritable classes from OpenGl_StateInterface => Configuration - add missing macro Standard_EXPORT to OpenGl_StateInterface subclasses
2016-12-27 11:36 git Note Added: 0062164
2016-12-27 11:37 kgv Note Added: 0062165
2016-12-27 11:37 kgv Assigned To kgv => bugmaster
2016-12-27 11:37 kgv Status resolved => reviewed
2016-12-27 14:19 apv Assigned To bugmaster => apv
2016-12-27 14:19 apv Test case number => Not needed
2016-12-28 09:50 apv Note Added: 0062216
2016-12-28 09:50 apv Assigned To apv => bugmaster
2016-12-28 09:50 apv Status reviewed => tested
2016-12-30 18:08 apn Changeset attached => occt master 96fffdc6
2016-12-30 18:08 apn Assigned To bugmaster => apn
2016-12-30 18:08 apn Status tested => verified
2016-12-30 18:08 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063576
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker